## libevent 1.4.14b-stable

=== debian/changelog ===
libevent (1.4.14b-stable-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
  * debian/control:
    - Architecture: limit to 'any w/o *-mingw'
    - mingw*-libevent-1.4-2: add packages limited to *-mingw architectures
  * debian/patches:
    - libevent-980bcd68f7e49f8c0a9042f64d62e624f8c5f76b.patch: backport
    - makefile_am_mingw_disable_sample_subdir.patch: for mingw builds
    - ipv6-internal_h_typo.patch: typo fix

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Sat, 25 Jun 2011 15:13:47 +0400

libevent (1.4.13-stable-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to 3.0 (quilt) format
  * debian/control:
    - libevent-dev: fix debhelper-but-no-misc-depends
  * debian/rules:
    - build-depend on cdbs
    - cleanup after cdbs includes
    - use /usr/$(DEB_HOST_GNU_TYPE) prefix for mingw builds
  * debian/patches:
    - libevent-edfc28caef29a203deaef4c0b808ad8caa7fa012.patch: backport
    - libevent-d3a8ccb8073c3d76b8bfbb4205cfddfd5a351831.patch: backport
  * pkg-config support through libevent.pc

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Sat, 25 Jun 2011 04:28:45 +0400

libevent (1.4.13-stable-1) unstable; urgency=low

  * New upstream release
    Delete 01-494709-GNU-kFreeBSD.patch (merged)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 21 Nov 2009 22:50:03 +1100

libevent (2.0.2-alpha-1) experimental; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 21 Aug 2009 11:23:04 +1000

libevent (1.4.12-stable-1) unstable; urgency=low

  * New upstream release
  * Fix out-of-date-standards-version
  * Fix patch-system-but-no-source-readme

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 21 Aug 2009 11:09:13 +1000

libevent (2.0.1-alpha-1) experimental; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 23 May 2009 12:29:16 +1000

libevent (1.4.11-stable-1) unstable; urgency=low

  * New upstream release
    - Fix a bug when removing a timeout from the heap
    - Remove the limit on size of HTTP headers by removing static buffers
    - Fix a nasty dangling pointer bug in epoll.c that could occur after
      epoll_recalc()

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 15 May 2009 20:11:06 +1000

libevent (1.4.9-stable-1) unstable; urgency=low

  * New upstream release
  * Standards version is 3.8.1
  * DH_COMPAT is 7
  * Run dh_prep instead of dh_clen -k
  * Don't conflict with libevent1; closes: #513325
  * Ship the evdns manpage; closes: #448273
  * Fix long description; closes: #509062
  * Build depends on quilt
  * Thanks Petr Salinger for 01-494709-GNU-kFreeBSD.patch; closes: #494709

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 03 Apr 2009 16:25:00 +1100

libevent (1.4.8~stable-1) experimental; urgency=low

  * New upstream release; closes: #483671
  * Update README.Debian with the "What's New in Libevent 1.4" document.
  * Standards-Version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 05 Oct 2008 17:42:00 +1100
