=== debian/control ===
Source: libevent
Section: libs
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: debhelper (>= 7), cdbs, autotools-dev, libtool
Standards-Version: 3.9.2
Homepage: http://www.monkey.org/~provos/libevent/

Package: libevent-dev
Section: libdevel
Architecture: alpha amd64 arm armel avr32 hppa hurd-i386 i386 ia64 kfreebsd-i386 kfreebsd-amd64 m68k mips mipsel powerpc powerpcspe s390 sh4 sparc sparc64
Depends: ${misc:Depends}, libevent-1.4-2 (= ${binary:Version}), libevent-core-1.4-2 (= ${binary:Version}), libevent-extra-1.4-2 (= ${binary:Version})
Description: Development libraries, header files and docs for libevent
 Contains the header files, documentation, examples and static libraries 
 for use in developing applications that use the libevent library.
 .
 The libevent library is an asynchronous event notification library
 that provides a mechanish to execute a callback function when a specific
 event occurs on a file descriptor or after a timeout has been reached.

Package: libevent-1.4-2
Section: libs
Priority: standard
Architecture: alpha amd64 arm armel avr32 hppa hurd-i386 i386 ia64 kfreebsd-i386 kfreebsd-amd64 m68k mips mipsel powerpc powerpcspe s390 sh4 sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An asynchronous event notification library
 The libevent API provides a mechanism to execute a callback function
 when a specific event occurs on a file descriptor or after a timeout
 has been reached.
 .
 libevent is meant to replace the asynchronous event loop found in
 event driven network servers. Currently, libevent supports /dev/poll,
 kqueue(2), event ports, select(2), poll(2) and epoll(4).
 .
 For backward compatibility and to transition to libevent_core only or
 libevent_core and libevent_extra, the libevent source package builds
 the libevent library that includes everything in libevent_core and
 libevent_extra.

Package: libevent-core-1.4-2
Section: libs
Priority: optional
Architecture: alpha amd64 arm armel avr32 hppa hurd-i386 i386 ia64 kfreebsd-i386 kfreebsd-amd64 m68k mips mipsel powerpc powerpcspe s390 sh4 sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An asynchronous event notification library (core)
 The libevent API provides a mechanism to execute a callback function
 when a specific event occurs on a file descriptor or after a timeout
 has been reached.
 .
 libevent is meant to replace the asynchronous event loop found in
 event driven network servers. Currently, libevent supports /dev/poll,
 kqueue(2), event ports, select(2), poll(2) and epoll(4).
 .
 The libevent_core library includes event loops, timers, buffer code,
 and various small compatibility functions.
 .
 If you're writing software that only uses libevent's event loop, you
 should link against only the libevent_core library.

Package: libevent-extra-1.4-2
Section: libs
Priority: optional
Architecture: alpha amd64 arm armel avr32 hppa hurd-i386 i386 ia64 kfreebsd-i386 kfreebsd-amd64 m68k mips mipsel powerpc powerpcspe s390 sh4 sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}, libevent-core-1.4-2 (= ${binary:Version})
Description: An asynchronous event notification library (extra)
 The libevent API provides a mechanism to execute a callback function
 when a specific event occurs on a file descriptor or after a timeout
 has been reached.
 .
 libevent is meant to replace the asynchronous event loop found in
 event driven network servers. Currently, libevent supports /dev/poll,
 kqueue(2), event ports, select(2), poll(2) and epoll(4).
 .
 The libevent_extra library includes code for HTTP, DNS, RPC, and so
 on.
 .
 If you're writing software that uses libevent's protocol support, you
 need to link libevent_core and libevent_extra as well.

Package: mingw32-libevent-1.4-2
Section: libs
Priority: extra
Architecture: mingw-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An asynchronous event notification library (for 32-bit Windows)

Package: mingw64-libevent-1.4-2
Section: libs
Priority: extra
Architecture: mingw-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An asynchronous event notification library (for 64-bit Windows)
